base/urls.py
from django.urls import path
from . import views

app_name = 'base'

urlpatterns = [
    path('', views.index, name='base'),
    path('/masker', views.masker, name='masker'),
    path('/sanitizer', views.sanitizer, name='sanitizer'),
    path('/faceshield', views.faceshield, name='faceshield'),


]

covid_web_tk1/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('', include('base.urls')),
    path('', include('postingan.urls')),
    path('admin/', admin.site.urls),
    path('feedbackpage/', include('feedbackpage.urls')),
    path('semangatpage/', include('semangatpage.urls')),
    path('profile/', include('profilepage.urls')),
    # path('', include('pooling.urls')),
    # path('', include('postingan.urls')),
    path('jadwal/', include('jadwal.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

semangatpage/urls.py
from django.urls import include, path
from . import views

app_name = 'semangatpage'

urlpatterns = [
    path('', views.semangat, name='semangat'),
    path('addsemangat/', views.add_semangat, name='addsemangat'),
]

semangatpage/models.py
from django.db import models

class kata(models.Model):
    katasemangat = models.TextField()

    def __str__(self):
        return self.katasemangat

semangatpage/forms.py
from django import forms
from .models import kata

class kataForm(forms.ModelForm):
    class Meta:
        model = kata
        fields = '__all__'

        widgets = {
            'katasemangat' : forms.Textarea(attrs={'class': 'form-control'}),
        }

semangatpage/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import kataForm
from .models import kata

def semangat(request):
    semangat = kata.objects.all()
    return render(request, 'semangatpage/semangat.html', {'semangat' : semangat})

def add_semangat(request):
    if request.method == 'POST':
        form = kataForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/semangatpage/')    
    else:
        form = kataForm()
        return render(request, 'semangatpage/addsemangat.html', {'form': form})

semangatpage/templates/semangatpage/addsemangat.html
{% extends 'base/base.html' %}

{% block content %}
{% include 'base/navbar.html' %}

<div  class="form-group mx-auto" style="width: 70vw">
    <br>
    <h1 style="font-size: 55px;">Beri Semangat</h1>
    <br>
    <form method="POST" action="">
        {% csrf_token %}
        {{ form.katasemangat }}
        <br>
        <a href="{% url 'semangatpage:semangat' %}" class="btn btn-primary active mx-auto" role="button" aria-pressed="true" style="background-color: #BC475D; padding: 9px 12px; font-size: 22px; font-weight: 700; border-radius: 8px;">Kembali</a> <button id="Kirim" type="submit" class="btn btn-primary" style="background-color: #72C3B3; padding: 9px 25px; font-size: 22px; font-weight: 700; border-radius: 8px;">Kirim</button>
    </form>
</div>

{% endblock content %}

semangatpage/templates/semangatpage/semangat.html
{% extends 'base/base.html' %}

{% block content %}
{% include 'base/navbar.html' %}

<div class="container">
    <div class="row">
        <div class="col-lg-8 col-sm-12 col-xs-12">
            <h1 style="font-size: 60px; padding: 50px 0 0 0">Beri Semangat</h1>
            <p style="font-size: 20px; padding: 8px 0 0 0; text-align: justify;">Untuk teman-teman, keluarga dan orang di<br>sekeliling mu! Ayo bareng-bareng kita lewatin<br>masa sulit ini.</p>
        </div>
        <div class="col-lg-4 col-sm-12 col-xs-12">
            <br><br><br><br>
            <a href="{% url 'semangatpage:addsemangat' %}" class="btn btn-primary active" role="button" aria-pressed="true" style="background-color: #72C3B3; padding: 23px 49px; font-size: 35px; font-weight: 700; border-radius: 12px;">Tambah</a>
        </div>
    </div>
</div>

<br><br>
{% for form in semangat %}
{% if forloop.counter0|divisibleby:"3" %}
<div class="row row-cols-1 row-cols-md-3" style="padding: 5px 60px">
{% endif %}
    <div class="col mb-3">
      <div class="card" style="font-family: 'Montserrat', sans-serif; font-size: 18px; font-weight: 500; padding: 12px; border-radius: 20px; text-align: center">
          {{ form.katasemangat }}
      </div>
    </div>
{% if forloop.counter|divisibleby:"3" %}
</div>
{% endif %}
{% endfor %}

{% endblock content %}